<?php

/**
 * Enqueue the parent theme stylesheet.
 */
function ultra_child_scripts() {
    wp_enqueue_style( 'ultra-parent-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_script( 'ultra-child-theme', get_stylesheet_directory_uri() . '/js/jquery.theme-child.js', array('jquery'), SITEORIGIN_THEME_VERSION, true );	
}
add_action( 'wp_enqueue_scripts', 'ultra_child_scripts', 8 );

if ( ! function_exists( 'ultra_site_header_sentinel' ) ) :
/**
 * Display the sticky header sentinel.
 */
function ultra_site_header_sentinel() {
	?>
	<?php if( siteorigin_setting('header_top_bar') ) : ?>
		<div id="top-bar" class="top-bar-sentinel">
			<div class="container">
				<div class="top-bar-text">
					<?php do_action('ultra_top_bar_text'); ?>
					<?php wp_nav_menu( array( 'theme_location' => 'top-bar-social', 'container_class' => 'top-bar-menu', 'depth' => 1, 'fallback_cb' => '' ) ); ?>
				</div>
				<?php if ( siteorigin_setting( 'navigation_top_bar_menu' ) ) { ?>
					<nav class="top-bar-navigation" role="navigation">
						<?php wp_nav_menu( array( 'theme_location' => 'secondary' ) ); ?>			
					</nav><!-- .top-bar-navigation --> 
				<?php } ?>	
			</div><!-- .container -->
		</div><!-- #top-bar -->
		<span class="top-bar-arrow" style="display: none;"></span>
	<?php endif; ?>
	<header class="site-header site-header-sentinel<?php if ( siteorigin_setting( 'header_scale' ) ) { echo ' scale'; } if ( siteorigin_setting( 'navigation_responsive_menu' ) ) { echo ' responsive-menu'; } ?>" role="banner">
		<div class="container">
			<div class="site-branding-container">
				<div class="site-branding">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
						<?php ultra_display_logo(); ?>
					</a>
					<?php if ( get_bloginfo('description') && siteorigin_setting( 'header_tagline' ) ) : ?>
						<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
					<?php endif; ?>
				</div><!-- .site-branding -->
			</div><!-- .site-branding-container -->

			<nav class="main-navigation" role="navigation">
				<?php do_action( 'ultra_before_nav' ) ?>
				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
				<?php if ( siteorigin_setting( 'navigation_menu_search' ) ) : ?>
					<div class="menu-search">
						<div class="search-icon"></div>
						<form method="get" class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
							<input type="text" class="field" name="s" value="<?php echo esc_attr( get_search_query() ); ?>" />
						</form>	
					</div><!-- .menu-search -->
				<?php endif; ?>				
			</nav><!-- #site-navigation -->
		</div><!-- .container -->
	</header><!-- #masthead -->
	<?php
}
endif;